Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.websocket
Class WebSocketServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.eclipse.jetty.websocket.WebSocketServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

    public abstract class WebSocketServlet

extends HttpServlet

Servlet to upgrade connections to WebSocket

The request must have the correct upgrade headers, else it is handled as a normal servlet request.

The initParameter "bufferSize" can be used to set the buffer size, which is also the max frame byte size (default 8192).

The initParameter "maxIdleTime" can be used to set the time in ms that a websocket may be idle before closing (default 300,000).

See Also:
  Serialized Form

Constructor Summary
`WebSocketServlet()`

Method Summary
`protected java.lang.String` | `checkOrigin(HttpServletRequest request, java.lang.String host, java.lang.String origin)`
`protected abstract WebSocket` | `doWebSocketConnect(HttpServletRequest request, java.lang.String protocol)`
`void` | `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.
`protected void` | `service(HttpServletRequest request, HttpServletResponse response)` Receives standard HTTP requests from the public `service` method and dispatches them to the `do` XXX methods defined in this class.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSocketServlet

    public WebSocketServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Description copied from class: `GenericServlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericServlet.init(ServletConfig)`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`. The `ServletConfig` object can still be retrieved via `GenericServlet.getServletConfig()`.

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException` - if an exception occurs that interrupts the servlet's normal operation
  See Also:
    `GenericServlet.init()`

### service

    protected void service(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           java.io.IOException

  Description copied from class: `HttpServlet`
  Receives standard HTTP requests from the public `service` method and dispatches them to the `do` XXX methods defined in this class. This method is an HTTP-specific version of the `Servlet.service(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` method. There's no need to override this method.

  Overrides:
    `service` in class `HttpServlet`
  Parameters:
    `request` - the `HttpServletRequest` object that contains the request the client made of the servlet
    `response` - the `HttpServletResponse` object that contains the response the servlet returns to the client
  Throws:
    `ServletException` - if the HTTP request cannot be handled
    `java.io.IOException` - if an input or output error occurs while the servlet is handling the HTTP request
  See Also:
    `HttpServlet.service(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### checkOrigin

    protected java.lang.String checkOrigin(HttpServletRequest request,
                                           java.lang.String host,
                                           java.lang.String origin)

### doWebSocketConnect

    protected abstract WebSocket doWebSocketConnect(HttpServletRequest request,
                                                    java.lang.String protocol)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.